logo
IntegrationsGet CRM statuses

Get CRM statuses

Returns connection status and sync stats for all supported CRM types.

curl -X GET "https://api.sendkit.ai/v1/integrations/crm" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "attio": {
      "enabled": true,
      "status": "connected",
      "lastSyncAt": "2026-03-23T09:05:36.161Z",
      "totalPulled": 5998,
      "totalPushed": 10
    },
    "hubspot": {
      "enabled": false,
      "status": "disconnected",
      "lastSyncAt": null,
      "totalPulled": 0,
      "totalPushed": 0
    },
    "pipedrive": {
      "enabled": true,
      "status": "connected",
      "lastSyncAt": null,
      "totalPulled": 0,
      "totalPushed": 0
    },
    "airtable": {
      "enabled": true,
      "status": "connected",
      "lastSyncAt": "2026-03-23T09:39:57.913Z",
      "totalPulled": 0,
      "totalPushed": 49
    },
    "salesforce": {
      "enabled": true,
      "status": "connected",
      "lastSyncAt": null,
      "totalPulled": 0,
      "totalPushed": 0
    },
    "supabase": {
      "enabled": true,
      "status": "connected",
      "lastSyncAt": "2026-03-06T08:08:24.171Z",
      "totalPulled": 100,
      "totalPushed": 75
    }
  }
}
GET
/v1/integrations/crm
GET
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

Responses

successboolean
dataobject

Keys: attio, hubspot, pipedrive, airtable, salesforce, supabase